## com.google.debugging.sourcemap.proto
Class Mapping.LineMapping

    java.lang.Object
      com.google.protobuf.AbstractMessageLite
          com.google.protobuf.AbstractMessage
              com.google.protobuf.GeneratedMessage
                  com.google.debugging.sourcemap.proto.Mapping.LineMapping

All Implemented Interfaces:
  Mapping.LineMappingOrBuilder, com.google.protobuf.Message, com.google.protobuf.MessageLite, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Serializable

Enclosing class:
  Mapping

    public static final class Mapping.LineMapping

extends com.google.protobuf.GeneratedMessage
implements Mapping.LineMappingOrBuilder

See Also:
  Serialized Form

Nested Class Summary
`static class` | `Mapping.LineMapping.Builder`

Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessage

`com.google.protobuf.GeneratedMessage.BuilderParent, com.google.protobuf.GeneratedMessage.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage,BuilderType extends com.google.protobuf.GeneratedMessage.ExtendableBuilder>, com.google.protobuf.GeneratedMessage.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.FieldAccessorTable, com.google.protobuf.GeneratedMessage.GeneratedExtension<ContainingType extends com.google.protobuf.Message,Type>`

Field Summary
`static int` | `COLUMN_POSITION_FIELD_NUMBER`
`static int` | `LINE_NUMBER_FIELD_NUMBER`
`static int` | `ORIGINAL_MAPPING_FIELD_NUMBER`

Fields inherited from class com.google.protobuf.GeneratedMessage
`alwaysUseFieldBuilders`

Method Summary
`int` | `getColumnPosition()`
`static Mapping.LineMapping` | `getDefaultInstance()`
`Mapping.LineMapping` | `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
`int` | `getLineNumber()`
`Mapping.OriginalMapping` | `getOriginalMapping()`
`Mapping.OriginalMappingOrBuilder` | `getOriginalMappingOrBuilder()`
`int` | `getSerializedSize()`
`boolean` | `hasColumnPosition()`
`boolean` | `hasLineNumber()`
`boolean` | `hasOriginalMapping()`
`protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
`boolean` | `isInitialized()`
`static Mapping.LineMapping.Builder` | `newBuilder()`
`static Mapping.LineMapping.Builder` | `newBuilder(Mapping.LineMapping prototype)`
`Mapping.LineMapping.Builder` | `newBuilderForType()`
`protected Mapping.LineMapping.Builder` | `newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)`
`static Mapping.LineMapping` | `parseDelimitedFrom(InputStream input)`
`static Mapping.LineMapping` | `parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Mapping.LineMapping` | `parseFrom(byte[] data)`
`static Mapping.LineMapping` | `parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Mapping.LineMapping` | `parseFrom(com.google.protobuf.ByteString data)`
`static Mapping.LineMapping` | `parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Mapping.LineMapping` | `parseFrom(com.google.protobuf.CodedInputStream input)`
`static Mapping.LineMapping` | `parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Mapping.LineMapping` | `parseFrom(InputStream input)`
`static Mapping.LineMapping` | `parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`Mapping.LineMapping.Builder` | `toBuilder()`
`protected Object` | `writeReplace()`
`void` | `writeTo(com.google.protobuf.CodedOutputStream output)`

Methods inherited from class com.google.protobuf.GeneratedMessage
`getAllFields, getDescriptorForType, getField, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, newFileScopedGeneratedExtension, newMessageScopedGeneratedExtension`

Methods inherited from class com.google.protobuf.AbstractMessage
`equals, hashBoolean, hashCode, hashEnum, hashEnumList, hashFields, hashLong, toString`

Methods inherited from class com.google.protobuf.AbstractMessageLite
`toByteArray, toByteString, writeDelimitedTo, writeTo`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.google.protobuf.MessageOrBuilder
`getAllFields, getDescriptorForType, getField, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

Methods inherited from interface com.google.protobuf.MessageLite
`toByteArray, toByteString, writeDelimitedTo, writeTo`

Field Detail

### LINE_NUMBER_FIELD_NUMBER

    public static final int LINE_NUMBER_FIELD_NUMBER

See Also:
  Constant Field Values

### COLUMN_POSITION_FIELD_NUMBER

    public static final int COLUMN_POSITION_FIELD_NUMBER

See Also:
  Constant Field Values

### ORIGINAL_MAPPING_FIELD_NUMBER

    public static final int ORIGINAL_MAPPING_FIELD_NUMBER

See Also:
  Constant Field Values

Method Detail

### getDefaultInstance

    public static Mapping.LineMapping getDefaultInstance()

### getDefaultInstanceForType

    public Mapping.LineMapping getDefaultInstanceForType()

  Specified by:
    `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
  Specified by:
    `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

  Specified by:
    `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage`

### hasLineNumber

    public boolean hasLineNumber()

  Specified by:
    `hasLineNumber` in interface `Mapping.LineMappingOrBuilder`

### getLineNumber

    public int getLineNumber()

  Specified by:
    `getLineNumber` in interface `Mapping.LineMappingOrBuilder`

### hasColumnPosition

    public boolean hasColumnPosition()

  Specified by:
    `hasColumnPosition` in interface `Mapping.LineMappingOrBuilder`

### getColumnPosition

    public int getColumnPosition()

  Specified by:
    `getColumnPosition` in interface `Mapping.LineMappingOrBuilder`

### hasOriginalMapping

    public boolean hasOriginalMapping()

  Specified by:
    `hasOriginalMapping` in interface `Mapping.LineMappingOrBuilder`

### getOriginalMapping

    public Mapping.OriginalMapping getOriginalMapping()

  Specified by:
    `getOriginalMapping` in interface `Mapping.LineMappingOrBuilder`

### getOriginalMappingOrBuilder

    public Mapping.OriginalMappingOrBuilder getOriginalMappingOrBuilder()

  Specified by:
    `getOriginalMappingOrBuilder` in interface `Mapping.LineMappingOrBuilder`

### isInitialized

    public final boolean isInitialized()

  Specified by:
    `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
  Overrides:
    `isInitialized` in class `com.google.protobuf.GeneratedMessage`

### writeTo

    public void writeTo(com.google.protobuf.CodedOutputStream output)
                 throws IOException

  Specified by:
    `writeTo` in interface `com.google.protobuf.MessageLite`
  Overrides:
    `writeTo` in class `com.google.protobuf.AbstractMessage`
  Throws:
    `IOException`

### getSerializedSize

    public int getSerializedSize()

  Specified by:
    `getSerializedSize` in interface `com.google.protobuf.MessageLite`
  Overrides:
    `getSerializedSize` in class `com.google.protobuf.AbstractMessage`

### writeReplace

    protected Object writeReplace()
                           throws ObjectStreamException

  Overrides:
    `writeReplace` in class `com.google.protobuf.GeneratedMessage`
  Throws:
    `ObjectStreamException`

### parseFrom

    public static Mapping.LineMapping parseFrom(com.google.protobuf.ByteString data)
                                         throws com.google.protobuf.InvalidProtocolBufferException

  Throws:
    `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

    public static Mapping.LineMapping parseFrom(com.google.protobuf.ByteString data,
                                                com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                         throws com.google.protobuf.InvalidProtocolBufferException

  Throws:
    `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

    public static Mapping.LineMapping parseFrom(byte[] data)
                                         throws com.google.protobuf.InvalidProtocolBufferException

  Throws:
    `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

    public static Mapping.LineMapping parseFrom(byte[] data,
                                                com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                         throws com.google.protobuf.InvalidProtocolBufferException

  Throws:
    `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

    public static Mapping.LineMapping parseFrom(InputStream input)
                                         throws IOException

  Throws:
    `IOException`

### parseFrom

    public static Mapping.LineMapping parseFrom(InputStream input,
                                                com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                         throws IOException

  Throws:
    `IOException`

### parseDelimitedFrom

    public static Mapping.LineMapping parseDelimitedFrom(InputStream input)
                                                  throws IOException

  Throws:
    `IOException`

### parseDelimitedFrom

    public static Mapping.LineMapping parseDelimitedFrom(InputStream input,
                                                         com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                  throws IOException

  Throws:
    `IOException`

### parseFrom

    public static Mapping.LineMapping parseFrom(com.google.protobuf.CodedInputStream input)
                                         throws IOException

  Throws:
    `IOException`

### parseFrom

    public static Mapping.LineMapping parseFrom(com.google.protobuf.CodedInputStream input,
                                                com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                         throws IOException

  Throws:
    `IOException`

### newBuilder

    public static Mapping.LineMapping.Builder newBuilder()

### newBuilderForType

    public Mapping.LineMapping.Builder newBuilderForType()

  Specified by:
    `newBuilderForType` in interface `com.google.protobuf.Message`
  Specified by:
    `newBuilderForType` in interface `com.google.protobuf.MessageLite`

### newBuilder

    public static Mapping.LineMapping.Builder newBuilder(Mapping.LineMapping prototype)

### toBuilder

    public Mapping.LineMapping.Builder toBuilder()

  Specified by:
    `toBuilder` in interface `com.google.protobuf.Message`
  Specified by:
    `toBuilder` in interface `com.google.protobuf.MessageLite`

### newBuilderForType

    protected Mapping.LineMapping.Builder newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)

  Specified by:
    `newBuilderForType` in class `com.google.protobuf.GeneratedMessage`